#include "stdafx.h"
#include "ListOptionsCtrl.h"
#include "DowComboBox.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#endif

IMPLEMENT_DYNCREATE(CDowComboBox, CListOptionsCombo)

BEGIN_MESSAGE_MAP(CDowComboBox, CListOptionsCombo)
  ON_WM_CREATE()
END_MESSAGE_MAP()

int CDowComboBox::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
  //Let the base class do its thing
  if (CListOptionsCombo::OnCreate(lpCreateStruct) == -1)
    return -1;
  
  //Add some strings to the combo
  AddString(_T("Monday"));
  AddString(_T("Tuesday"));
  AddString(_T("Wednesday"));
  AddString(_T("Thursday"));
  AddString(_T("Friday"));
  AddString(_T("Saturday"));
  AddString(_T("Sunday"));
  
  return 0;
}


IMPLEMENT_DYNCREATE(CFirstNameComboBox, CListOptionsCombo)

BEGIN_MESSAGE_MAP(CFirstNameComboBox, CListOptionsCombo)
  ON_WM_CREATE()
END_MESSAGE_MAP()

int CFirstNameComboBox::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
  //Let the base class do its thing
  if (CListOptionsCombo::OnCreate(lpCreateStruct) == -1)
    return -1;
  
  //Add some strings to the combo
  AddString(_T("Fred"));
  AddString(_T("Mary"));
  AddString(_T("Patrick"));
  AddString(_T("Jennifer"));
  AddString(_T("Joe"));
  
  return 0;
}

DWORD CFirstNameComboBox::GetWindowStyle()
{
  return WS_CHILD | WS_VISIBLE | WS_VSCROLL | CBS_DROPDOWN;
}
