#include "stdafx.h"
#include "ListOptionsCtrl.h"
#include "DemoEditBox.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#endif


IMPLEMENT_DYNCREATE(CDemoEdit, CListOptionsEdit)

BEGIN_MESSAGE_MAP(CDemoEdit, CListOptionsEdit)
  ON_WM_CREATE()
END_MESSAGE_MAP()

int CDemoEdit::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
  //Let the base class do its thing
  if (CListOptionsEdit::OnCreate(lpCreateStruct) == -1)
    return -1;
  
  return 0;
}


IMPLEMENT_DYNCREATE(CDemoEdit2, CListOptionsEdit)

BEGIN_MESSAGE_MAP(CDemoEdit2, CListOptionsEdit)
  ON_WM_CREATE()
END_MESSAGE_MAP()

int CDemoEdit2::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
  //Let the base class do its thing
  if (CListOptionsEdit::OnCreate(lpCreateStruct) == -1)
    return -1;
  
  return 0;
}

void CDemoEdit2::OnShowNewValue() 
{
  //Validate our parameters
  AFXASSUME(m_pListCtrl);
  ASSERT(m_nListCtrlIndex != -1);

  //Randomly change the prompt and value fonts
  CListOptionsItemData* pItemData = reinterpret_cast<CListOptionsItemData*>(m_pListCtrl->GetItemData(m_nListCtrlIndex));
  if (pItemData != NULL)
  {
    pItemData->m_bPromptBoldText = (rand() % 2) ? true : false;
    pItemData->m_bPromptItalicText = (rand() % 2) ? true : false;
    pItemData->m_bPromptUnderlineText = (rand() % 2) ? true : false;
    pItemData->m_bValueBoldText = (rand() % 2) ? true : false;
    pItemData->m_bValueItalicText = (rand() % 2) ? true : false;
    pItemData->m_bValueUnderlineText = (rand() % 2) ? true : false;

    if (rand() % 2)
    {
      pItemData->m_PromptTextColor = RGB(0, 0, 128);
      pItemData->m_PromptBackgroundColor = RGB(255, 0, 0);
    }
    else
    {
      pItemData->m_PromptTextColor = RGB(0, 0, 0);
      pItemData->m_PromptBackgroundColor = RGB(255, 255, 255);
    }
    if (rand() % 2)
    {
      pItemData->m_ValueTextColor = RGB(0, 128, 0);
      pItemData->m_ValueBackgroundColor = RGB(0, 0, 255);
    }
    else
    {
      pItemData->m_PromptTextColor = RGB(0, 0, 0);
      pItemData->m_PromptBackgroundColor = RGB(255, 255, 255);
    }

    //Get the item rect for the item and force a redraw
    CRect rLine;
    m_pListCtrl->GetItemRect(m_nListCtrlIndex, &rLine, LVIR_BOUNDS);
    m_pListCtrl->InvalidateRect(rLine);
  }
 }
